Bug 4044 - Support state-of-the-art specifications related to job submission and management
: Support state-of-the-art specifications related to job submission and management
Status: RESOLVED WONTFIX
: GRAM
Roadmap
: unspecified
: All All
: P3 normal
: ---
Assigned To:
:
:
: 4545
:
  Show dependency treegraph
 
Reported: 2005-12-07 18:21 by
Modified: 2012-09-05 11:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-07 18:21:30
The Job Specification Description Language (JSDL) has been approved by GGF
(http://www.ggf.org/
documents/GFD.56.pdf).  We believe JSDL will be a standard that clients and
tools will migrate to for grid 
job submissions.  As such, WS GRAM should be extended to support jobs expressed
as JSDL documents.
------- Comment #1 From 2007-05-31 22:39:56 -------
The link below is a doc with our current thoughts on how we should proceed for
supporting JSDL in GRAM4.  These plans are not just simply modifying GRAM to
support JSDL plus a static set of "profiles".  It's redesigning GRAM to be able
to be easily updated to support new profiles as they emerge.

http://www-unix.mcs.anl.gov/~smartin/GRAM4_JSDL_Overview.doc
------- Comment #2 From 2012-09-05 11:43:04 -------
Doing some bugzilla cleanup...  Resolving old GRAM3 and GRAM4 issues that are
no longer relevant since we've moved on to GRAM5.  Also, we're now tracking
issue in jira.  Any new issues should be added here:

http://jira.globus.org/secure/VersionBoard.jspa?selectedProjectId=10363